Unfuddle API: Messages
Introduction 
- Each Project can have any number of Messages.
- Each Project can have any number of Categories for those Messages.
- Each Message can be associated with any number of Categories. Note that Categories for a message are specified directly in the Message XML. See the Message Data Model.
- Each Message can have any number of Attachments. See Attachments for more information.
- Each Message can have any number of Comments. See Comments for more information.
Messages 
The collection represents all Messages for either an Account or a Project.
- URL:
- /api/v1/messages[GET]
- /api/v1/projects/{id}/messages[GET, POST]
- /api/v1/projects/{id}/messages/{id}[GET, PUT, DELETE]
- Response Formats:
- XML, JSON, RSS
- Parameters (via query string or request body):
-
<request> <!-- can be used in order to obtain the first n characters of the message body. It also affects the body-formatted field if applicable. Special care should be taken NOT to update those messages as they are provided for display purpose only. --> <truncate>25</truncate> </request> - Request/Response Body:
- See Message Data Model
- Example:
-
curl -i -u username:password -X POST \ -H 'Accept: application/xml' \ -H 'Content-type: application/xml' \ -d "<message><title>My New Message</title><body>Body text goes here...</body><body-format>markdown</body-format><categories><category id='545'/></categories></message>" \ 'http://mysubdomain.unfuddle.com/api/v1/projects/9001/messages'
Categories 
The collection represents all message Categories within a Project.
- URL:
- /api/v1/projects/{id}/categories[GET, POST]
- /api/v1/projects/{id}/categories/{id}[GET, PUT, DELETE]
- Response Formats:
- XML, JSON
- Request/Response Body:
- See Category Data Model
- Example:
-
curl -i -u username:password -X GET \ -H 'Accept: application/xml' \ 'http://mysubdomain.unfuddle.com/api/v1/projects/87776/categories/2.xml'
Category Messages 
The collection represents all Messages within a Category.
- URL:
- /api/v1/projects/{id}/categories/{id}/messages[GET]
- Response Formats:
- XML, JSON, RSS
- Request/Response Body:
- See Message Data Model
- Example:
-
curl -i -u username:password -X GET \ -H 'Accept: application/xml' \ 'http://mysubdomain.unfuddle.com/api/v1/projects/87776/categories/15087/messages.xml'
